import {FunctionTrigger} from "$mixins/trigger/class";
import popup, {PopupExportComponent} from "$utils/tool/popup";

export default [
    {
        icon:require('../images/follow.png'),
        activeIcon:require('../images/follow-active.png'),
        key:'follow',
        trigger: new FunctionTrigger(function (){
            this.toggleFollow();
        })
    },
    {
        icon:require('../images/report.png'),
        trigger: new FunctionTrigger(function (){
            if (this.userInfo.uid) {
                popup.$open(PopupExportComponent.report,{
                    uid: this.userInfo.uid
                });
            }

        })
    },
    // {
    //     icon:require('../images/blacklist.png')
    // }
]
